import chokidar from '../../compiled/chokidar';
import { MsupConfig, PkgType } from '../types';
interface IBuilderOpts {
    userConfig: MsupConfig;
    cwd: string;
    pkg: PkgType;
    clean?: boolean;
    quiet?: boolean;
}
interface IWatchBuilderResult {
    close: chokidar.FSWatcher['close'];
}
declare function builder(opts: IBuilderOpts): Promise<void>;
declare function builder(opts: IBuilderOpts & {
    watch: true;
}): Promise<IWatchBuilderResult>;
export default builder;
