"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isLocalDev = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const root = (0, path_1.join)(__dirname, '../../');
const rootPkg = (0, path_1.join)(root, './package.json');
/**
 * Check whether it is development in local
 */
const isLocalDev = () => {
    const isLocal = (0, fs_1.existsSync)(rootPkg) && require(rootPkg)._local;
    return isLocal ? root : false;
};
exports.isLocalDev = isLocalDev;
