"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const builder_1 = __importDefault(require("../builder"));
const command_1 = require("./command");
const build = new command_1.Command({
    name: 'build',
    async fn({ args, api }) {
        await (0, builder_1.default)({
            userConfig: api.config,
            cwd: api.cwd,
            pkg: api.pkg,
            clean: args.clean,
            quiet: args.quiet,
        });
    },
});
exports.default = build;
